# Changelog

## 2024-12-05 - 1.6.1 - fix(core)
Ensure consistent project structure and code organization without additional changes.


## 2024-12-05 - 1.6.0 - feat(documentSettings + translations + vat in itemLines)
Updated dependencies in package.json

- Updated @types/node to version ^22.10.1
- Updated qrcode package to version ^1.5.4

## 2024-12-02 - 1.5.3 - fix(elements)
Update viewer attributes and fix font integration

- Updated viewer.ts to add missing property decorators for letterData and documentSettings.
- Fixed font loading by correcting URLs in index.html.
- Set demoDocumentSettings default header and footer to false.

## 2024-12-02 - 1.5.2 - fix(workflow)
Corrected Docker image references and package scope in YAML workflows for compatibility.

- Updated Docker image reference from GitLab to code.foss.global for npmci UI workflows.
- Fixed npm package scope for `@shipzone/npmci` in YAML workflows.
- Minor formatting corrections for better code readability.

## 2024-12-02 - 1.5.1 - fix(package)
Fix duplicate node export in package.json

- Resolved a duplication issue with the './node' export in package.json exports field.

## 2024-12-02 - 1.5.0 - feat(core)
Refactor project structure for better modularity and code organization

- Moved shared components to a dedicated 'dist_ts_shared' directory for better separation of concerns.
- Updated import statements across the codebase to align with the new file structure.
- Introduced translations directly under 'ts_shared' for language-specific string management.

## 2024-12-02 - 1.4.0 - feat(translation)
Add French and Italian translations for document interface

- Expanded translation support by adding French and Italian language translations
- Fixed duplicated text in German final page statement
- Improved Spanish translation of reverse VAT note and final page statement

## 2024-12-02 - 1.3.2 - fix(core)
Minor updates and optimizations in the output PDF formatting process.

- Improved handling of page content overflow in PDF generation.
- Refined default document settings for consistent rendering.

## 2024-12-02 - 1.3.1 - fix(documentation)
Updated project description and enhanced documentation in package.json and README

- The package description in package.json was updated to include more features.
- Added more details about setting up and using the PdfService.
- Included comprehensive examples for initializing and generating PDFs.
- Expanded sections covering advanced features, modular components, interactive documents, and localization support.

## 2024-12-02 - 1.3.0 - feat(translation)
Add multi-language support for document translations.

- Implemented translation interface for document labels.
- Added Spanish translations alongside existing English and German.
- Updated content invoice, page header, and page footer elements to utilize language-specific translations.

## 2024-12-01 - 1.2.0 - feat(core)
Enhance document generation capabilities with improved modular structure and extended translation support.

- Enhanced document generation framework with a more modular structure.
- Integrated support for translations using JSON-based language maps.
- Optimized PDF generation process for dynamic document content.
- Added properties in 'IDocumentSettings' for language code management.
- Updated README documentation with more comprehensive examples and guidance.

## 2024-11-30 - 1.1.0 - feat(core)
Enhanced document generation features and added translation capabilities

- Updated document rendering with advanced modular architecture.
- Introduced translation mechanism for document content.
- Improved PDF generation with dynamic settings support.
- Enhanced test cases for PDF generation with complex document structures.

## 2024-11-27 - 1.0.103 - fix(DeDocument)
Fix rendering of documents by properly moving new pages back to the document container

- Resolved an issue in the DeDocument component where new pages were wrongly managed, causing errors in the rendering of documents.
- Added a documentBuildContainer for temporary storage during page setup, ensuring correct page ordering.

## 2024-11-27 - 1.0.102 - fix(contentinvoice)
Fixed currency display issues in invoice content rendering.

- Corrected the usage of currency property to consistently pull from letterData content for invoice items.
- Ensured currency is correctly displayed in the invoice PDF generation.

## 2024-11-27 - 1.0.101 - fix(shared)
Fixed the demo letter item details by replacing `currency` with `position` to correctly define the item position.

- Replaced incorrect 'currency' field with 'position' in demoletter.ts for item details.
- Ensured item positions are correctly assigned in demoletter.ts.

## 2024-11-27 - 1.0.100 - fix(core)
Fix issues with PDF service, invoice item positioning, and update package dependencies.

- Updated package dependencies to latest versions for improved stability and performance.
- Fixed invoice item positioning in demo data.
- Ensured PDF service handles rendering updates more efficiently.

## 2024-04-20 to 2023-10-16 - 1.0.99 to 1.0.90 - Core Fixes and Documentation Update
Routine updates and fixes with a focus on core improvements and documentation enhancements.

- Regular core updates to enhance stability and performance
- Updated project documentation for better clarity and user guidance
